org.apache.storm.mongodb.topology

## Class TotalWordCounter

- java.lang.Object
- - org.apache.storm.mongodb.topology.TotalWordCounter

- All Implemented Interfaces:
    Serializable, IBasicBolt, IComponent

      public class TotalWordCounter
      extends Object
      implements IBasicBolt

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TotalWordCounter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()`
    `void` | `declareOutputFields(OutputFieldsDeclarer declarer)` Declare the output schema for all the streams of this topology.
    `void` | `execute(Tuple input, BasicOutputCollector collector)` Process the input tuple and optionally emit new tuples based on the input tuple.
    `Map<String,Object>` | `getComponentConfiguration()` Declare configuration specific to this component.
    `void` | `prepare(Map<String,Object> topoConf, TopologyContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TotalWordCounter

          public TotalWordCounter()

  - ### Method Detail

    - #### prepare

          public void prepare(Map<String,Object> topoConf,
                              TopologyContext context)

      Specified by:
        `prepare` in interface `IBasicBolt`

    - #### execute

          public void execute(Tuple input,
                              BasicOutputCollector collector)

      Description copied from interface: `IBasicBolt`

      Process the input tuple and optionally emit new tuples based on the input tuple.

      All acking is managed for you. Throw a FailedException if you want to fail the tuple.

      Specified by:
        `execute` in interface `IBasicBolt`

    - #### cleanup

          public void cleanup()

      Specified by:
        `cleanup` in interface `IBasicBolt`

    - #### declareOutputFields

          public void declareOutputFields(OutputFieldsDeclarer declarer)

      Description copied from interface: `IComponent`

      Declare the output schema for all the streams of this topology.

      Specified by:
        `declareOutputFields` in interface `IComponent`
      Parameters:
        `declarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream

    - #### getComponentConfiguration

          public Map<String,Object> getComponentConfiguration()

      Description copied from interface: `IComponent`

      Declare configuration specific to this component. Only a subset of the “topology.*” configs can be overridden. The component configuration can be further overridden when constructing the topology using `TopologyBuilder`

      Specified by:
        `getComponentConfiguration` in interface `IComponent`

Copyright © 2021 The Apache Software Foundation. All rights reserved.